<?php

/*
+-----------------------------------------------------------------------+
| Local configuration for the Roundcube Webmail installation.           |
|                                                                       |
| This is a sample configuration file only containing the minimum       |
| setup required for a functional installation. Copy more options       |
| from defaults.inc.php to this file to override the defaults.          |
|                                                                       |
| This file is part of the Roundcube Webmail client                     |
| Copyright (C) 2005-2013, The Roundcube Dev Team                       |
|                                                                       |
| Licensed under the GNU General Public License version 3 or            |
| any later version with exceptions for skins & plugins.                |
| See the README file for a full license statement.                     |
+-----------------------------------------------------------------------+
*/

$http_host=$_SERVER['HTTP_HOST'];
if (substr($http_host, 0, strlen("roundcube.")) == "roundcube.") {
	$http_host = substr($http_host, strlen("roundcube."));
 }

$config = array();

/* Do not set db_dsnw here, use dpkg-reconfigure roundcube-core to configure database ! */
include_once("/etc/roundcube/debian-db-roundcube.php");

// The mail host chosen to perform the log-in.
// Leave blank to show a textbox at login, give a list of hosts
// to display a pulldown menu or set one host as string.
// To use SSL/TLS connection, enter hostname with prefix ssl:// or tls://
// Supported replacement variables:
// %n - hostname ($_SERVER['SERVER_NAME'])
// %t - hostname without the first part
// %d - domain (http hostname $_SERVER['HTTP_HOST'] without the first part)
// %s - domain name after the '@' from e-mail address provided at login screen
// For example %n = mail.domain.tld, %t = domain.tld
$config['default_host'] = array("localhost");

// SMTP server host (for sending mails).
// To use SSL/TLS connection, enter hostname with prefix ssl:// or tls://
// If left blank, the PHP mail() function is used
// Supported replacement variables:
// %h - user's IMAP hostname
// %n - hostname ($_SERVER['SERVER_NAME'])
// %t - hostname without the first part
// %d - domain (http hostname $_SERVER['HTTP_HOST'] without the first part)
// %z - IMAP domain (IMAP hostname without the first part)
// For example %n = mail.domain.tld, %t = domain.tld
$config['smtp_server'] = '';

// SMTP port (default is 25; use 587 for STARTTLS or 465 for the
// deprecated SSL over SMTP (aka SMTPS))
$config['smtp_port'] = 465;

// SMTP username (if required) if you use %u as the username Roundcube
// will use the current username for login
$config['smtp_user'] = '';

// SMTP password (if required) if you use %p as the password Roundcube
// will use the current user's password for login
$config['smtp_pass'] = '';

// provide an URL where a user can get support for this Roundcube installation
// PLEASE DO NOT LINK TO THE ROUNDCUBE.NET WEBSITE HERE!
$config['support_url'] = '';

// Name your service. This is displayed on the login screen and in the window title
$config['product_name'] = 'Roundcube Webmail';

// this key is used to encrypt the users imap password which is stored
// in the session record (and the client cookie if remember password is enabled).
// please provide a string of exactly 24 chars.
// YOUR KEY MUST BE DIFFERENT THAN THE SAMPLE VALUE FOR SECURITY REASONS
include_once("/etc/roundcube/key.inc.php");

// List of (in plugins/ directory)
$config['plugins'] = array(
	'archive',
	'acl',
	'jqueryui',
	'recipient_to_contact',
	'password',
	'userinfo',
	#'hide_blockquote',
	#'markasjunk2',
	'managesieve',
	'chbox',
	#'markasjunk',
	#'junk_keyword',
	#'message_label',
	#'all_folder_search',
	'show_additional_headers',
	#'subscriptions_option',
	#'sieverules',
	'threading_as_default',
	'thunderbird_labels',
);

// skin name: folder from skins/
$config['skin'] = 'larry';


$config['debug_level'] = 4;
$config['log_driver'] = 'syslog';
$config['log_dir'] = '/home/www/log/php5/fpm/roundcube/';
$config['syslog_facility'] = LOG_MAIL;
$config['temp_dir'] = 'temp/';
if (file_exists("/home/www/data/roundcube/images/logo-$http_host.png")) {
	$config['skin_logo'] = "./images/logo-$http_host.png";
 }
else {
	$config['skin_logo'] = null;
 }
$config['db_dsnw'] = "pgsql://roundcube:@unix(/run/postgresql)/roundcube";
$config['default_imap_folders'] = array('INBOX', 'Drafts', 'Sent', 'Junk', 'Trash');
$config['imap_debug'] = false;
$config['password_confirm_current'] = true;
$config['password_minimum_length'] = 12;
$config['password_driver'] = 'chpasswd';
$config['password_chpasswd_cmd'] = '/usr/local/bin/roundcube-chpasswd';
$config['password_require_nonalpha'] = true;
$config['recipient_to_contact_addressbooks'] = array('sql');
$config['username_domain'] = "$http_host";
$config['mail_domain'] = "$http_host";
//$config['list_cols'] = array('subject', 'status', 'junk_keyword', 'from', 'date', 'size', 'flag', 'attachment');
